package redactableBlockchain.network;

import java.io.IOException;

import redactableBlockchain.IBlockChainListener;
import redactableBlockchain.data.CorrectionBlock;
import redactableBlockchain.data.StandardBlock;
import redactableBlockchain.data.transaction.PaymentTransaction;
;

public interface INetwork extends IBlockChainListener {

	public void addBlock(StandardBlock b);
	void addBlock(CorrectionBlock b);
	
	public void addTransaction(PaymentTransaction tx);
	
	public void connect(String server, int port) throws IOException, InterruptedException;
	
	public void shutdown();

	public void send(String string);

	
}
