package redactableBlockchain;

import redactableBlockchain.data.IBlock;
import redactableBlockchain.data.CorrectionBlock;
import redactableBlockchain.data.StandardBlock;


public interface IBlockChainListener
{

	void notifyMissingBlock(String blockHash);

	void notifyAddedBlock(StandardBlock block);
	void notifyAddedRedactionBlock(CorrectionBlock block);

	void notifyNewLongestChain(IBlock block);	
	void notifyNewBlockToMine(IBlock block); //For miner
}