package redactableBlockchain;

import redactableBlockchain.data.CorrectionBlock;
import redactableBlockchain.data.IBlock;
import redactableBlockchain.data.StandardBlock;

public class Network implements IBlockChainListener{
	
	IBlockChain blockchain;
	
	public Network(IBlockChain blockchain) {
		super();
		this.blockchain = blockchain;
	}

	@Override
	public void notifyMissingBlock(String blockHash) {
		// TODO request block from other nodes
		System.out.println("Requesting block: "+blockHash);
		
	}

	@Override
	public void notifyAddedBlock(StandardBlock block) {
		// TODO send block to other nodes
		System.out.println("Sending block: "+block.getHash());
	}

	@Override
	public void notifyAddedRedactionBlock(CorrectionBlock block) {
		// TODO send block to other nodes?
		
	}

	@Override
	public void notifyNewLongestChain(IBlock block) {
		// TODO don't care?
		
	}

	@Override
	public void notifyNewBlockToMine(IBlock block) {
		// don't care
		
	}

}
