package redactableBlockchain.network.data;

import java.util.ArrayList;

import redactableBlockchain.data.StandardBlock;
import redactableBlockchain.data.transaction.PaymentTransaction;

public class Updates extends BaseData{

	private ArrayList<PaymentTransaction> transactions;
	private ArrayList<StandardBlock> blocks;

	public Updates(ArrayList<PaymentTransaction> transactions, ArrayList<StandardBlock> blocks) {
		super(Type.Updates, "OK");
		this.transactions = transactions;
		this.blocks = blocks;
	}

	public ArrayList<PaymentTransaction> getTransactions() {
		return transactions;
	}

	public ArrayList<StandardBlock> getBlocks() {
		return blocks;
	}	
	
}
