import redactableBlockchain.IBlockChain
import redactableBlockchain.IBlockChainListener
import redactableBlockchain.data.CorrectionBlock
import redactableBlockchain.data.IBlock
import redactableBlockchain.data.StandardBlock

class NetworkAdapterKotlin : IBlockChainListener{

    internal var blockchain: IBlockChain? = null

    fun Network(blockchain: IBlockChain?) {
        this.blockchain = blockchain
    }

    override fun notifyMissingBlock(blockHash: String?) {
        // TODO request block from other nodes
        println("Requesting block: $blockHash")

    }

    override fun notifyAddedBlock(block: StandardBlock?) {
        // TODO send block to other nodes
        println("Sending block: " + block!!.hash)
    }

    override fun notifyAddedRedactionBlock(block: CorrectionBlock?) {
        // TODO send block to other nodes?
    }

    override fun notifyNewLongestChain(block: IBlock?) {
        // TODO don't care?
    }

    override fun notifyNewBlockToMine(block: IBlock?) {
        // don't care
    }


}