package redactableBlockchain

import at.tugraz.iaik.p2p.commons.CommonCrypto
import at.tugraz.iaik.p2p.skad.config.Config
import at.tugraz.iaik.p2p.skad.id.KadID
import kotlinx.coroutines.asCoroutineDispatcher
import java.util.concurrent.ForkJoinPool

class KotlinUtils {



    companion object {
        @JvmStatic
        val actorCtx1 = ForkJoinPool(2).asCoroutineDispatcher()
        @JvmStatic
        val reactorCtx1 = ForkJoinPool(2).asCoroutineDispatcher()

        @JvmStatic
        fun getConfig(port : Int):Config
        {
            val conf2 = Config(KadID(ByteArray(20).apply { CommonCrypto.RND.nextBytes(this) }), datagramSize = 5120u, listenAddr = "localhost:${port}", networkTimeoutMs = 60000u)
            return conf2;
        }
    }





}